rmp_frame_t Class Reference

## Public Member Functions

void | AddPacket (const CanPacket &pkt)
bool | IsReady ()

## Public Attributes

int16_t | pitch
int16_t | pitch_dot
int16_t | roll
int16_t | roll_dot
uint32_t | yaw
int16_t | yaw_dot
uint32_t | left
int16_t | left_dot
uint32_t | right
int16_t | right_dot
uint32_t | foreaft
uint16_t | frames
int16_t | left_torque
int16_t | right_torque
int16_t | op_mode
int16_t | gain_schedule
uint16_t | ui_battery
uint16_t | powerbase_battery
int16_t | rec_speed
int16_t | rec_turn
uint8_t | ready

The documentation for this class was generated from the following file:

- rmp_frame.h

Last updated 12 September 2005 21:38:45